{ =========================================================================== }
{ TimeDemo.pas - High resolution timer demonstration        ver 5.5, 01-15-90 }
{                                                                             }
{   Public Domain                                                             }
{   by Jim LeMay                                                              }
{   Eagle Performance Software                                                }
{   P.O. Box 292786                                                           }
{   Lewisville, TX  75029-2786                                                }
{   (214)-539-7855                                                            }
{                                                                             }
{ =========================================================================== }

program TimeDemo;

uses
  Crt,TimerH;

var
  ch: char;

BEGIN
  TextAttr := Blue shl 4 +Yellow;
  ClrScr;
  Writeln('Press any key for a lap; <ESC> to stop.');
  Timer (Sync);
  Timer (Start);
  repeat
    write(chr(16));
    Ch := ReadKey;
    Timer (Stop);
    writeln ('E.T. =',ElapsedTime:17,' secs: ticks2=',t2:12:0);
    GotoXY (31,wherey); WriteLn ('-ticks1=',t1:12:0);
    GotoXY (31,wherey); WriteLn ('-ticks0=',t0:12:0,' (timer overhead)');
    GotoXY (28,wherey); WriteLn ('E.T. ticks=',(t2-t1-t0):12:0);
    writeln;
  until ch = chr(27)
END.
